summaryrefslogtreecommitdiffstats
path: root/libraries/libgadu
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libgadu')
-rw-r--r--libraries/libgadu/README2
-rw-r--r--libraries/libgadu/libgadu.SlackBuild68
-rw-r--r--libraries/libgadu/libgadu.info8
-rw-r--r--libraries/libgadu/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/libraries/libgadu/README b/libraries/libgadu/README
new file mode 100644
index 0000000000..d62376fe05
--- /dev/null
+++ b/libraries/libgadu/README
@@ -0,0 +1,2 @@
+ libgadu is a library for handling of protocol of a popular Polish
+ instant messenger Gadu-Gadu. \ No newline at end of file
diff --git a/libraries/libgadu/libgadu.SlackBuild b/libraries/libgadu/libgadu.SlackBuild
new file mode 100644
index 0000000000..9ab7b71d92
--- /dev/null
+++ b/libraries/libgadu/libgadu.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/bash
+
+PRGNAM=libgadu
+VERSION=1.8.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-debug \
+ --disable-static \
+ --with-pthread \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libgadu/libgadu.info b/libraries/libgadu/libgadu.info
new file mode 100644
index 0000000000..9ce82b82a3
--- /dev/null
+++ b/libraries/libgadu/libgadu.info
@@ -0,0 +1,8 @@
+PRGNAM="libgadu"
+VERSION="1.8.2"
+HOMEPAGE="http://toxygen.net/libgadu/"
+DOWNLOAD="http://toxygen.net/libgadu/files/libgadu-1.8.2.tar.gz"
+MD5SUM="1090f82f8a1bb99e9cdf5853188f625f"
+MAINTAINER="M Slodkiewicz"
+EMAIL="slociu@wp.pl"
+APPROVED="dsomero"
diff --git a/libraries/libgadu/slack-desc b/libraries/libgadu/slack-desc
new file mode 100644
index 0000000000..c2f1b6259c
--- /dev/null
+++ b/libraries/libgadu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libgadu: libgadu (Library for Handling of Gadu-Gadu Instant Messaging)
+libgadu:
+libgadu: libgadu is a library for handling of protocol of a popular Polish
+libgadu: instant messenger Gadu-Gadu.
+libgadu:
+libgadu:
+libgadu:
+libgadu:
+libgadu:
+libgadu:
+libgadu: